Package org.bukkit.material

# Class DetectorRail

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.Rails
org.bukkit.material.ExtendedRails
org.bukkit.material.DetectorRail

All Implemented Interfaces:
  `Cloneable`, `PressureSensor`

@Deprecated public class DetectorRail extends ExtendedRails implements PressureSensor
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents a detector rail

## Constructor Summary

Constructors
Constructor
Description
`DetectorRail()`
Deprecated.
`DetectorRail(Material type)`
Deprecated.
`DetectorRail(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`DetectorRail`
`clone()`
Deprecated.
`boolean`
`isPressed()`
Deprecated.
`void`
`setPressed(boolean isPressed)`
Deprecated.

### Methods inherited from class org.bukkit.material.ExtendedRails

`getConvertedData, isCurve, setDirection`

### Methods inherited from class org.bukkit.material.Rails

`getDirection, isOnSlope, toString`

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DetectorRail

public DetectorRail()
Deprecated.

### DetectorRail

public DetectorRail(Material type)
Deprecated.

### DetectorRail

@Deprecated public DetectorRail(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### isPressed

public boolean isPressed()
Deprecated.

Specified by:
  `isPressed` in interface `PressureSensor`

### setPressed

public void setPressed(boolean isPressed)
Deprecated.

### clone

public DetectorRail clone()
Deprecated.

Overrides:
  `clone` in class `ExtendedRails`